std::priority_queue::~priority_queue(3)

NAME
std::priority_queue::~priority_queue - std::priority_queue::~priority_queue

Synopsis
   ~priority_queue();
   Destructs the priority_queue. The destructors of the elements are called and the
   used storage is deallocated. Note, that if the elements are pointers, the pointed-to
   objects are not destroyed.

Complexity
   Linear in the size of the priority_queue.